@font-face {
  font-family: 'Poppins';
  src: url('../Fonts/poppins/Poppins-Light.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Poppins Black';
  src: url('../Fonts/poppins/Poppins-Black.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Poppins Bold';
  src: url('../Fonts/poppins/Poppins-Bold.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Hepidova';
  src: url('../Fonts/hepidova/Hepidova\ Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

body {
  font-family: 'Poppins', sans-serif; /* Applique Poppins à toute la page */
}

.font-hepidova {
  font-family: 'Hepidova', sans-serif;
}
.font-poppins-h1 {
  font-family: 'Poppins Bold', sans-serif;
  font-size: 3.5rem;
}
.font-poppins-bold {
  font-family: 'Poppins Bold', sans-serif;;
}
@media screen and (max-width: 480px) {
  .font-poppins-h1 {
      font-family: 'Poppins Bold', sans-serif;
      font-size: 1.5rem;
  }
  .hero-content-1 p {
      font-size: 12px;
  }
}
@media screen and (min-width: 480px) and (max-width: 800px) {
  .font-poppins-h1 {
      font-family: 'Poppins Bold', sans-serif;
      font-size: 2.5rem;
  }
}

@media screen and (min-width: 800px) and (max-width: 1080px) {
  .font-poppins-h1 {
      font-family: 'Poppins Bold', sans-serif;
      font-size: 3rem;
  }
  .card-hover-one{
      width: 22rem; 
  }
}

@media screen and (min-width: 1080px) {
  .font-poppins-h1 {
      font-family: 'Poppins Bold', sans-serif;
      font-size: 3.8rem;
  }
  .card-hover-one{
      width: 25rem; 
  }
}

.hero {
  height: 100%;
  /* Assure que le contenu prend toute la hauteur du carousel */
  display: flex;
  align-items: center;
  /* Centre verticalement le contenu */
  justify-content: center;
  /* Centre horizontalement le contenu */
  text-align: center;
}

.i .carousel-inner .carousel-item {
  height: 100vh;
  /* La hauteur de chaque item du carousel est 100% de la fenêtre */
}


/* Pour les écrans de petite taille (smartphones) */
@media (max-width: 576px) {
  .i .carousel-inner .carousel-item {
    height: 80vh; /* Réduit la hauteur pour les petits écrans */
  }

  .hero {
    flex-direction: column; /* Aligne le contenu verticalement */
    text-align: center; /* Assure un alignement central */
  }
}

/* Pour les écrans moyens (tablettes) */
@media (min-width: 577px) and (max-width: 768px) {
  .i .carousel-inner .carousel-item {
    height: 70vh; /* Ajuste la hauteur pour les tablettes */
  }

  .hero {
    padding: 15px; /* Ajuste les marges pour un écran moyen */
  }
}

/* Pour les écrans larges (ordinateurs) */
@media (min-width: 769px) and (max-width: 1200px) {
  .i .carousel-inner .carousel-item {
    height: 90vh; /* Ajuste légèrement la hauteur pour les écrans larges */
  }

  .hero {
    padding: 30px; /* Ajoute un peu plus d'espace */
  }
}

/* Pour les écrans très larges */
@media (min-width: 1201px) {
  .i .carousel-inner .carousel-item {
    height: 80vh; /* Conserve la pleine hauteur */
  }

  .hero {
    padding: 40px; /* Plus d'espace pour un rendu esthétique */
  }
}
.color-grey {
  color: #cdcbc9;
}

.bg-grey{
  background-color: #cdcbc9;
}

.color-yellow {
  color: #FFD700;
}

.nav-link:hover{
  color: #FFD700;
}

.btn-about {
  border-radius: 30px;
  font-size: .8rem;
  text-transform: uppercase;
  letter-spacing: .2rem;
  padding: 10px 20px;
  text-decoration: none;
  color: black;
  background-color: #cdcbc9;
  border-color: #cdcbc9;
}
.btn-secondary:hover{
  color: #FFD700;
  background-color: grey;
}

.carousel-indicators .carousel-btn {
  width: 20px;
  height: 0;
  margin: 5px;
  margin-top: 20px;
  border-radius: 50%;
  background: #e6e6e6;
  position: relative;
}

.carousel-indicators .carousel-btn.active {
  background: #b3b3b3;
}
.carousel-indicators{
  margin-top: 20%;
}

.dark-overlay {
  position: relative;
}

.dark-overlay::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Noir avec 50% d'opacité */
  z-index: 1;
}

.dark-overlay .hero {
  position: relative;
  z-index: 1; /* Met le contenu au-dessus de l'overlay */
}

.back-to-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #003366; /* Couleur bleue */
  color: #ffffff;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  z-index: 99;
}

.back-to-top:hover {
  background-color: #002244; /* Couleur bleue foncée */
  color: #f8c200; /* Couleur jaune pour l'icône au survol */
}

.back-to-top i {
  font-size: 1.5rem;
}

/* Afficher le bouton quand on descend */
.back-to-top.show {
  opacity: 1;
  visibility: visible;
}

.actives{
  color: #FFD700;
}

.historic-text {
  border-left: #002244 2px;
}

.fade-in {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeInUp 2s forwards;
}

@keyframes fadeInUp {
  from {
      opacity: 0;
      transform: translateY(20px);
  }
  to {
      opacity: 1;
      transform: translateY(0);
  }
}

.fade-in-left{
  opacity: 0;
  transform: translateX(20px);
  animation: fadeInLeft 2s forwards;
}

@keyframes fadeInLeft {
  from {
      opacity: 0;
      transform: translateX(20px);
  }
  to {
      opacity: 1;
      transform: translateX(0);
  }
}

.fade-in-right{
  opacity: 0;
  transform: translateX(20px);
  animation: fadeInRight 2s forwards;
}

@keyframes fadeInRight {
  from {
      opacity: 0;
      transform: translateX(0);
  }
  to {
      opacity: 1;
      transform: translateX(20px);
  }
}

.custom-carousel-btn {
  background-color: rgba(0, 0, 0, 0.5); /* Fond noir semi-transparent */
  border: none;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 50%;
  border-radius: 50%;
}

.custom-carousel-btn:hover {
  background-color: rgba(0, 0, 0, 0.8); /* Fond noir plus foncé au survol */
}


